Index: /LMDZ5/trunk/libf/phylmd/write_histhfNMC.h
===================================================================
--- /LMDZ5/trunk/libf/phylmd/write_histhfNMC.h	(revision 1538)
+++ /LMDZ5/trunk/libf/phylmd/write_histhfNMC.h	(revision 1539)
@@ -14,19 +14,29 @@
 c nout=3 : in=pdtphys,    out=hf
 ccc
-       CALL histwrite_phy(nid_hfnmc,"tnondef",itau_w,tnondef(:,:,3))
+      CALL histwrite_phy(nid_hfnmc,lNMC,"tnondef",itau_w,
+     $tnondef(:,:,3))
 c
-       CALL histwrite_phy(nid_hfnmc,"ta",itau_w,twriteSTD3)
+       CALL histwrite_phy(nid_hfnmc,lNMC,"ta",itau_w,
+     $twriteSTD3)
 c
-       CALL histwrite_phy(nid_hfnmc,"zg",itau_w,phiwriteSTD3)
+       CALL histwrite_phy(nid_hfnmc,lNMC,"zg",itau_w,
+     $phiwriteSTD3)
 c
-       CALL histwrite_phy(nid_hfnmc,"hus",itau_w,qwriteSTD3)
+       CALL histwrite_phy(nid_hfnmc,lNMC,"hus",itau_w,
+     $qwriteSTD3)
 c
-       CALL histwrite_phy(nid_hfnmc,"hur",itau_w,rhwriteSTD3)
+       CALL histwrite_phy(nid_hfnmc,lNMC,"hur",itau_w,
+     $rhwriteSTD3)
 c
-       CALL histwrite_phy(nid_hfnmc,"ua",itau_w,uwriteSTD3)
+       CALL histwrite_phy(nid_hfnmc,lNMC,"ua",itau_w,
+     $uwriteSTD3)
 c
-       CALL histwrite_phy(nid_hfnmc,"va",itau_w,vwriteSTD3)
+       CALL histwrite_phy(nid_hfnmc,lNMC,"va",itau_w,
+     $vwriteSTD3)
 c
-       CALL histwrite_phy(nid_hfnmc,"wap",itau_w,wwriteSTD3)
+       CALL histwrite_phy(nid_hfnmc,lNMC,"wap",itau_w,
+     $wwriteSTD3)
+c
+       IF (1.EQ.0) THEN
 c
        DO k=1, nlevSTD
@@ -40,25 +50,35 @@
        ENDDO !k=1, nlevSTD
 c
-       CALL histwrite_phy(nid_hfnmc,"psbg",itau_w,zx_tmp_fiNC)
+       CALL histwrite_phy(nid_hfnmc,lNMC,"psbg",itau_w,
+     $zx_tmp_fiNC)
 c
-       CALL histwrite_phy(nid_hfnmc,"uv",itau_w,uvsumSTD(:,:,3))
+       CALL histwrite_phy(nid_hfnmc,lNMC,"uv",itau_w,
+     $uvsumSTD(:,:,3))
 c
-       CALL histwrite_phy(nid_hfnmc,"vq",itau_w,vqsumSTD(:,:,3))
+       CALL histwrite_phy(nid_hfnmc,lNMC,"vq",itau_w,
+     $vqsumSTD(:,:,3))
 c
-       CALL histwrite_phy(nid_hfnmc,"vT",itau_w,vTsumSTD(:,:,3))
+       CALL histwrite_phy(nid_hfnmc,lNMC,"vT",itau_w,
+     $vTsumSTD(:,:,3))
 c
-       CALL histwrite_phy(nid_hfnmc,"wq",itau_w,wqsumSTD(:,:,3))
+       CALL histwrite_phy(nid_hfnmc,lNMC,"wq",itau_w,
+     $wqsumSTD(:,:,3))
 c
-       CALL histwrite_phy(nid_hfnmc,"vphi",itau_w,vphisumSTD(:,:,3))
+      CALL histwrite_phy(nid_hfnmc,lNMC,"vphi",itau_w,
+     $vphisumSTD(:,:,3))
 c
-       CALL histwrite_phy(nid_hfnmc,"wT",itau_w,wTsumSTD(:,:,3))
+       CALL histwrite_phy(nid_hfnmc,lNMC,"wT",itau_w,
+     $wTsumSTD(:,:,3))
 c
-       CALL histwrite_phy(nid_hfnmc,"uxu",itau_w,u2sumSTD(:,:,3))
+       CALL histwrite_phy(nid_hfnmc,lNMC,"uxu",itau_w,
+     $u2sumSTD(:,:,3))
 c
-       CALL histwrite_phy(nid_hfnmc,"vxv",itau_w,v2sumSTD(:,:,3))
+       CALL histwrite_phy(nid_hfnmc,lNMC,"vxv",itau_w,
+     $v2sumSTD(:,:,3))
 c
-       CALL histwrite_phy(nid_hfnmc,"TxT",itau_w,T2sumSTD(:,:,3))
+       CALL histwrite_phy(nid_hfnmc,lNMC,"TxT",itau_w,
+     $T2sumSTD(:,:,3))
 c
-c     ENDIF !type_run
+       ENDIF !(1.EQ.0) THEN
 c
       if (ok_sync) then
Index: /LMDZ5/trunk/libf/phylmd/write_histmthNMC.h
===================================================================
--- /LMDZ5/trunk/libf/phylmd/write_histmthNMC.h	(revision 1538)
+++ /LMDZ5/trunk/libf/phylmd/write_histmthNMC.h	(revision 1539)
@@ -14,19 +14,27 @@
 c nout=3 : in=pdtphys,    out=hf
 ccc
-       CALL histwrite_phy(nid_mthnmc,"tnondef",itau_w,tnondef(:,:,1))
+      CALL histwrite_phy(nid_mthnmc,lNMC,"tnondef",itau_w,
+     $tnondef(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"ta",itau_w,twriteSTD(:,:,1))
+      CALL histwrite_phy(nid_mthnmc,lNMC,"ta",itau_w,
+     $twriteSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"zg",itau_w,phiwriteSTD(:,:,1))
+      CALL histwrite_phy(nid_mthnmc,lNMC,"zg",itau_w,
+     $phiwriteSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"hus",itau_w,qwriteSTD(:,:,1))
+       CALL histwrite_phy(nid_mthnmc,lNMC,"hus",itau_w,
+     $qwriteSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"hur",itau_w,rhwriteSTD(:,:,1))
+       CALL histwrite_phy(nid_mthnmc,lNMC,"hur",itau_w,
+     $rhwriteSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"ua",itau_w,uwriteSTD(:,:,1))
+       CALL histwrite_phy(nid_mthnmc,lNMC,"ua",itau_w,
+     $uwriteSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"va",itau_w,vwriteSTD(:,:,1))
+       CALL histwrite_phy(nid_mthnmc,lNMC,"va",itau_w,
+     $vwriteSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"wap",itau_w,wwriteSTD(:,:,1))
+       CALL histwrite_phy(nid_mthnmc,lNMC,"wap",itau_w,
+     $wwriteSTD(:,:,1))
 c
        DO k=1, nlevSTD
@@ -40,23 +48,33 @@
        ENDDO !k=1, nlevSTD
 c
-       CALL histwrite_phy(nid_mthnmc,"psbg",itau_w,zx_tmp_fiNC)
+      CALL histwrite_phy(nid_mthnmc,lNMC,"psbg",itau_w,
+     $zx_tmp_fiNC)
 c
-       CALL histwrite_phy(nid_mthnmc,"uv",itau_w,uvsumSTD(:,:,1))
+      CALL histwrite_phy(nid_mthnmc,lNMC,"uv",itau_w,
+     $uvsumSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"vq",itau_w,vqsumSTD(:,:,1))
+      CALL histwrite_phy(nid_mthnmc,lNMC,"vq",itau_w,
+     $vqsumSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"vT",itau_w,vTsumSTD(:,:,1))
+      CALL histwrite_phy(nid_mthnmc,lNMC,"vT",itau_w,
+     $vTsumSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"wq",itau_w,wqsumSTD(:,:,1))
+      CALL histwrite_phy(nid_mthnmc,lNMC,"wq",itau_w,
+     $wqsumSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"vphi",itau_w,vphisumSTD(:,:,1))
+      CALL histwrite_phy(nid_mthnmc,lNMC,"vphi",itau_w,
+     $vphisumSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"wT",itau_w,wTsumSTD(:,:,1))
+       CALL histwrite_phy(nid_mthnmc,lNMC,"wT",itau_w,
+     $wTsumSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"uxu",itau_w,u2sumSTD(:,:,1))
+       CALL histwrite_phy(nid_mthnmc,lNMC,"uxu",itau_w,
+     $u2sumSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"vxv",itau_w,v2sumSTD(:,:,1))
+       CALL histwrite_phy(nid_mthnmc,lNMC,"vxv",itau_w,
+     $v2sumSTD(:,:,1))
 c
-       CALL histwrite_phy(nid_mthnmc,"TxT",itau_w,T2sumSTD(:,:,1))
+       CALL histwrite_phy(nid_mthnmc,lNMC,"TxT",itau_w,
+     $T2sumSTD(:,:,1))
 c
        DO k=1, nlevSTD
@@ -69,5 +87,5 @@
         ENDDO
        ENDDO !k=1, nlevSTD
-       CALL histwrite_phy(nid_mthnmc,"tro3",itau_w,
+       CALL histwrite_phy(nid_mthnmc,lNMC,"tro3",itau_w,
      $ zx_tmp_fiNC)
 c
@@ -83,6 +101,6 @@
        ENDDO !k=1, nlevSTD
 c
-        CALL histwrite_phy(nid_mthnmc,"tro3_daylight",itau_w,
-     $  zx_tmp_fiNC)
+        CALL histwrite_phy(nid_mthnmc,lNMC,"tro3_daylight",
+     $itau_w, zx_tmp_fiNC)
        endif 
 c
